function [z_Pinj,z_Qinj,z_Pflow,z_Qflow] = get_zeromeasurement(bus_sol,line_flow)
% Syntax:
% [z_Pinj,z_Qinj,z_Pflow,z_Qflow] = get_zeromeasurement(bus_sol,line_flow)
%   
% Purpose:   To get the line number and bus number where measurements
%            are zero 
%            
% Input:    bus_sol       - bus data actual meas
%           line_flow     - line flow data actual meas
%           
% Output:   z_Pinj   - vector of bus no with zero real power injection 
%           z_Qinj   - vector of bus no with zero reactive power injection
%           z_Pflow  - vector of line no with zero real power flow
%           z_Qflow  - vector of line no with zero reactive power flow
%
% Calls:     
% Called by  
%
z_Pinj=[];
z_Qinj=[];
z_Pflow=[];
z_Qflow=[];
for i=1:length(bus_sol(:,1))
    if (bus_sol(i,4)-bus_sol(i,6))==0
        [z_Pinj]=[z_Pinj;i];
    end
    if (bus_sol(i,5)-bus_sol(i,7))==0
        [z_Qinj]=[z_Qinj;i];
    end
end
for i=1:length(line_flow(:,1))
    if line_flow(i,4)==0
        [z_Pflow]=[z_Pflow;i];%line_flow(i,1) line_flow(i,2) line_flow(i,3)];
    end
    if line_flow(i,5)==0
        [z_Qflow]=[z_Qflow;i];%line_flow(i,1) line_flow(i,2) line_flow(i,3)];
    end
end
